v.net.alloc(1)

NAME
v.net.alloc - Allocate subnets for nearest centres (direction from centre). Centre node must be opened (costs >= 0). Costs of centre node are used in calculation

SYNOPSIS
v.net.alloc
v.net.alloc help
v.net.alloc [-g] input=string output=string [type=string[,string,...]] [alayer=integer] [nlayer=integer] [afcolumn=string] [abcolumn=string] [ncolumn=string] ccats=string

  Flags:

-g  Use geodesic calculation for longitude-latitude locations

  Parameters:

input=string
    Name of input vector

output=string
    Name of output vector

type=string[,string,...]
    Arc type Options: line,boundary Default: line,boundary

alayer=integer
    Arc layer Default: 1

nlayer=integer
    Node layer Default: 2

afcolumn=string
    Arc forward/both direction(s) cost column (number)

abcolumn=string
    Arc backward direction cost column (number)

ncolumn=string
    Node cost column (number)

ccats=string
    Category values. Categories of centres (points on nodes) to which net will be allocated, layer for this categories is given by nlayer option.

DESCRIPTION
v.net.alloc allocates subnets for nearest centres (direction from centre). Centre node must be opened (costs >= 0). Costs of centre node are used in calculation. Supported are cost assignments for both arcs and nodes, and also different in both directions of a vector line. For areas cost will be calculated along boundary lines.

NOTES
Center nodes have to be assigned to vector nodes using v.digit. Nodes and arcs can be closed using cost = -1.

EXAMPLE
 # nlayer=1 if no extra table for nodes:
   v.net.alloc network out=network_alloc ccats=0-13 nlayer=1
 # the result has to be selected by category number of the relevant node:
   d.vect network_alloc cat=9 col=red
   d.vect network_alloc cat=11 col=green
   d.vect network_alloc cat=2492 col=yellow

Calculating subnets for 7 centre nodes using cost assigned to vector length
v.net.alloc in=vectmap out=vectmap.alloc ccats=1-7

Calculating subnets for 7 centre nodes using cost assignments in both directions
v.net.alloc in=vectmap afcol=INDEX abcol=INDEXBACK out=vectmap.alloc ccats=1-7

SEE ALSO
d.path v.net.iso v.net.steiner v.net.salesman

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2005/01/30 14:06:13 $

Help Index